module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    'plugin:vue/essential',
    '@vue/standard',
  ],
  parserOptions: {
    parser: '@babel/eslint-parser',
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'comma-dangle': ['error', 'always-multiline'],
    'space-before-function-paren': 'off',
    indent: 'off',
    'multiline-ternary': 'off',
    "vue/multi-word-component-names":"off",
    'eol-last': 0,
    'vue/no-mutating-props':"off"
  },
}
